# Get Experience Autofill Suggestions GET /api/v1/experiences/{id}/autofill/ Get AI-generated autofill suggestions for an experience based on its content vault documents. Suggestions are tailored to the specified experience type. Response structure varies by type: AI_EXPERT (name, description, personality), AI_NOTE (title, format_type), QUEST (title, description, skill_level, estimated_questions), PODCAST (title, description, voice_type, knowledge_level, duration_minutes, duration_seconds, pace). Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/experiences/autofill-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/experiences/{id}/autofill/: get: operationId: autofill-retrieve summary: Get Experience Autofill Suggestions description: >- Get AI-generated autofill suggestions for an experience based on its content vault documents. Suggestions are tailored to the specified experience type. Response structure varies by type: AI_EXPERT (name, description, personality), AI_NOTE (title, format_type), QUEST (title, description, skill_level, estimated_questions), PODCAST (title, description, voice_type, knowledge_level, duration_minutes, duration_seconds, pace). tags: - subpackage_experiences parameters: - name: id in: path required: true schema: type: integer - name: experience_type in: query description: >- Type of experience to generate autofill for (AI_EXPERT, AI_NOTE, QUEST, PODCAST) required: true schema: $ref: >- #/components/schemas/ApiV1ExperiencesIdAutofillGetParametersExperienceType responses: '200': description: Autofill suggestions generated successfully content: application/json: schema: $ref: '#/components/schemas/experiences_autofillRetrieve_Response_200' '400': description: Invalid experience_type parameter content: application/json: schema: description: Any type '404': description: Experience not found content: application/json: schema: description: Any type '500': description: Failed to generate autofill suggestions content: application/json: schema: description: Any type components: schemas: ApiV1ExperiencesIdAutofillGetParametersExperienceType: type: string enum: - AI_EXPERT - AI_NOTE - PODCAST - QUEST title: ApiV1ExperiencesIdAutofillGetParametersExperienceType experiences_autofillRetrieve_Response_200: type: object properties: {} description: Empty response body title: experiences_autofillRetrieve_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/experiences/1/autofill/" querystring = {"experience_type":"AI_EXPERT"} payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/experiences/1/autofill/?experience_type=AI_EXPERT'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/experiences/1/autofill/?experience_type=AI_EXPERT" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/experiences/1/autofill/?experience_type=AI_EXPERT") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/experiences/1/autofill/?experience_type=AI_EXPERT") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/experiences/1/autofill/?experience_type=AI_EXPERT', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/experiences/1/autofill/?experience_type=AI_EXPERT"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/experiences/1/autofill/?experience_type=AI_EXPERT")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```